@echo off

:: FlashKill
::
:: Created by Eric L. Howes
::            eburger68@myrealbox.com
::            http://www.staff.uiuc.edu/~ehowes/fixes.htm
::
:: This file enables/disables Macromedia Flash Player 6.0. If the Flash
:: Player is not installed, FlashKill prevents it from being installed.
:: If the Flash Player is installed, FlashKill prevents it from running.
:: You should close and restart Internet Explorer for changes to take
:: effect.
::
:: Copyright (c) 2000-2003 Eric L. Howes
::
:: This program is free software; you can redistribute it and/or modify it under
:: the terms of the GNU General Public License as published by the Free Software
:: Foundation; either version 2, or (at your option) any later version.
::
:: This program is distributed in the hope that it will be useful, but WITHOUT ANY
:: WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
:: A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
::
:: Some files distributed with this package may not be covered by the GNU GPL. Those
:: files remain the property of their original owners and are covered by the licenses
:: under which they were originally distributed.
::
:: All trademarks are the property of their respective owners.
::
:: You should have received a copy of the GNU General Public License along with this
:: program; see the file COPYING.  If not, write to the Free Software Foundation,
:: 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.


::********************************************************************
::CHOICE Installation
::********************************************************************

:: Check for NT or 9x
if exist %WINDIR%\SYSTEM32\CONFIG goto prep-nt

:: ---------------
:: Copy choice.com
:: ---------------
:prep-9x

if exist %WINDIR%\command\choice.com goto menu
if exist %WINDIR%\choice.com goto menu

copy choice\choice.com %WINDIR%

goto menu

:: ---------------
:: Copy choice.exe
:: ---------------
:prep-nt

if exist %WINDIR%\command\choice.exe goto menu
if exist %WINDIR%\choice.exe goto menu

copy choice\choice.exe %WINDIR%

goto menu

::********************************************************************
::Main Menu and Functions
::********************************************************************

:menu

cls
echo.
echo    --------------------------------
echo    Macromedia Flash Player 6.0 Menu
echo    --------------------------------
echo.
echo    [1] DISABLE Flash Player
echo.
echo        Set the "kill bit" to prevent Flash
echo        from running or being installed.
echo.
echo    [2] ENABLE Flash Player
echo.
echo        Remove the "kill bit" to allow Flash
echo        to run and be installed.
echo.
echo    [3] Exit
echo.
echo    Which do you wish to do?
echo.

choice /c:1234 /n /t:4,90 Please Choose One...

if errorlevel 4 goto menu
if errorlevel 3 goto fin
if errorlevel 2 goto enable
if errorlevel 1 goto disable

goto menu

:disable

cls

:: ** Set the Kill Bit **

   start /w regedit.exe /s flash-ds.reg

   echo.
   echo     Macromedia Flash Player 6.0 has been disabled.
   echo.
   echo     It cannot run or be installed automatically  
   echo     via the Internet.
   echo.
   pause
   goto fin

:enable

cls

:: ** Remove the Kill Bit **

   start /w regedit.exe /s flash-en.reg

   echo.
   echo     Macromedia Flash Player 6.0 has been enabled.
   echo.
   echo     It can now run and be installed automatically 
   echo     via the Internet.
   echo.
   pause
   goto fin

:fin

   exit
